  PROGRAM main
    IMPLICIT NONE

    INTERFACE operator (*)
      FUNCTION f1(x, y)
        integer, INTENT(IN)  :: x
        real, INTENT(IN)     :: y
        real     :: f1
      END FUNCTION

      FUNCTION f2(y, x)
        integer, INTENT(IN)  :: x
        real, INTENT(IN)     :: y
        real     :: f2
      END FUNCTION
    END INTERFACE

    INTEGER i
    REAL    r
    REAL    x


    x = i * r
    x = r * i

  END
